org.eclipse.viatra.transformation.evm.transactions.specific.job

## Class CommandExecutingJob.JobExecutionHelper

- java.lang.Object
- - org.eclipse.viatra.transformation.evm.transactions.specific.job.CommandExecutingJob.JobExecutionHelper

- Enclosing class:
    CommandExecutingJob<EventAtom>

      public class CommandExecutingJob.JobExecutionHelper
      extends java.lang.Object

  Helper class for constructing the job execution from individual commands.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMMAND_EXECUTING_JOB_COMMAND`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JobExecutionHelper(org.eclipse.emf.edit.domain.EditingDomain domain, Activation<? extends EventAtom> activation, Context context)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `appendAndExecuteSubCommand(org.eclipse.emf.common.command.Command subcommand)` Calls `CompoundCommand.appendAndExecute(Command)` with the provided subcommand
    `Activation<? extends EventAtom>` | `getActivation()`
    `Context` | `getContext()`
    `org.eclipse.emf.edit.domain.EditingDomain` | `getEditingDomain()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMMAND_EXECUTING_JOB_COMMAND

          public static final java.lang.String COMMAND_EXECUTING_JOB_COMMAND

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JobExecutionHelper

          public JobExecutionHelper(org.eclipse.emf.edit.domain.EditingDomain domain,
                                    Activation<? extends EventAtom> activation,
                                    Context context)

  - ### Method Detail

    - #### getEditingDomain

          public org.eclipse.emf.edit.domain.EditingDomain getEditingDomain()

      Returns:
        the editingDomain

    - #### getActivation

          public Activation<? extends EventAtom> getActivation()

      Returns:
        the activation

    - #### getContext

          public Context getContext()

      Returns:
        the context

    - #### appendAndExecuteSubCommand

          public boolean appendAndExecuteSubCommand(org.eclipse.emf.common.command.Command subcommand)

      Calls `CompoundCommand.appendAndExecute(Command)` with the provided subcommand
      Parameters:
        `subcommand` -
      Returns:
        the result of `CompoundCommand.appendAndExecute(Command)` executed with the provided subcommand